%global         momorel 3

Name:           perl-Hash-AutoHash
Version:        1.17
Release:        %{momorel}m%{?dist}
Summary:        Object-oriented access to real and tied hashes
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Hash-AutoHash/
Source0:        http://www.cpan.org/authors/id/N/NA/NATG/Hash-AutoHash-%{version}.tar.gz
NoSource:       0
Patch0:         %{name}-%{version}-Module-Build-version.patch
Patch1:         %{name}-%{version}-List-Util-version.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= v5.8.3
BuildRequires:  perl-List-MoreUtils >= 0.09
BuildRequires:  perl-Module-Build
BuildRequires:  perl-List-Util >= 1.01
BuildRequires:  perl-Test-Deep
BuildRequires:  perl-Test-Pod-Content
BuildRequires:  perl-Test-Simple >= 0.88
BuildRequires:  perl-Tie-Hash-MultiValue
BuildRequires:  perl-Tie-ToObject
Requires:       perl-List-MoreUtils >= 0.09
Requires:       perl-List-Util >= 1.01
Requires:       perl-Tie-ToObject
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This is yet another module that lets you access or change the elements of a
hash using methods with the same name as the element's key. It follows in
the footsteps of Hash::AsObject, Hash::Inflator, Data::OpenStruct::Deep,
Object::AutoAccessor, and probably others. The main difference between this
module and its forebears is that it supports tied hashes, in addition to
regular hashes. This allows a modular division of labor: this class is
generic and treats all hashes the same; any special semantics come from the
tied hash.

%prep
%setup -q -n Hash-AutoHash-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Hash/AutoHash.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-2m)
- rebuild against perl-5.18.2

* Sun Oct  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-1m)
- update to 1.17

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-2m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 1.16
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.12-4m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.12-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.12-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.12-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
